.slide-fade-enter-active {
    transition: all 0.2s ease-out;
}
.slide-fade-leave-active {
    transition: all 0.2s cubic-bezier(1, 0.5, 0.8, 1);
}
.slide-fade-enter,
.slide-fade-leave-to {
    transform: translateX(20px);
    opacity: 0;
}

.list-enter-active, .list-leave-active {
    transition: all 0.5s;
}
.list-enter, .list-leave-to {
    opacity: 0;
    transform: translateY(30px);
}
.list-move {
    transition: transform 0.5s;
}
.list-leave-active {
    position: absolute;
}

.reveal-vertical-enter-active,
.reveal-vertical-leave-active {
    transition: transform 0.5s ease;
    transform-origin: top;
}
.reveal-vertical-enter,
.reveal-vertical-leave-to {
    transform: scaleY(0);
}
.reveal-vertical-enter-to,
.reveal-vertical-leave {
    transform: scaleY(1);
}

.page-flip-enter-active, .page-flip-leave-active {
    transition: transform 0.5s;
    transform-style: preserve-3d;
}
.page-flip-enter, .page-flip-leave-to {
    transform: rotateY(-140deg);
}
.page {
    backface-visibility: hidden;
    transform-origin: left;
}

.slide-ltr-enter-active,
.slide-ltr-leave-active {
    transition: all 0.2s;
}
.slide-ltr-enter,
.slide-ltr-leave-to {
    transform: translateX(-100%);
}

.slide-from-top-enter-active,
.slide-from-top-leave-active {
    transition: all 0.4s ease;
}
.slide-from-top-enter,
.slide-from-top-leave-to {
    transform: translateY(-100%);
}
.slide-from-top-move {
    transition: transform 0.4s;
}
.slide-from-top-leave-active {
    position: absolute;
}

.slide-from-bottom-enter-active,
.slide-from-bottom-leave-active {
    transition: all 0.4s ease;
}
.slide-from-bottom-enter,
.slide-from-bottom-leave-to {
    transform: translateY(100%);
}
.slide-from-bottom-leave-active {
    position: absolute;
}